<div id="content">
    <div class="row">
        <div class="col-sm-12" style="min-height: 540px">
            <app-book-loader *ngIf="isLoading"></app-book-loader>
            <div *ngIf="!isLoading" style="text-align:center; margin-bottom: 30px; margin-top: 10px;">
                <!--<h1> Welcome to Bookgram! </h1>-->
                <h3> To unload wonderful features, please register! </h3>

            </div>
            <form *ngIf="!isLoading" [formGroup]="form" (submit)="onSubmit()">

                <div class="form-row">
                    <div class="form-group col-md-5">
                        <img src="../../assets/images/books.jpg" alt="Books" />
                    </div>
                    <div class="col-md-7">
                        <div class="form-group form-row">

                            <label for="username">Username</label>
                            <input type="text " class="form-control " id="username" placeholder="Username" formControlName="username">

                        </div>
                        <div class="form-group form-row">

                            <label for="password">Password</label>
                            <input type="password" class="form-control" id="password" placeholder="Password" formControlName="password">
                        </div>
                        <div class="form-group form-row">
                            <label for="password2">Confirm Password</label>
                            <input formControlName="password2" type="password" class="form-control" id="password2" placeholder="Confirm password">
                        </div>
                        <div class="form-group form-row" style="margin-left: 2px; margin-bottom: 2px; font-size: 15px;">
                            <div *ngIf="error">
                                <p> *{{ error }} </p>
                            </div>

                            <div *ngIf="!form.valid &&username.touched && !error">
                                <p *ngIf="username.errors; else passwordCondition">*Please choose your username</p>

                                <ng-template #passwordCondition>
                                    <p *ngIf="password.touched && password.errors; else password2Condition">*Please choose password</p>
                                    <ng-template #password2Condition>
                                        <p *ngIf="password.touched && password2.touched && password2.errors">*Please confirm your password</p>
                                    </ng-template>
                                </ng-template>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-group" style="text-align:center;">
                    <button type="submit" class="btn btn-dark" [disabled]="!form.valid">Register</button>
                    <button type="button" class="btn btn-dark" style="margin-left: 20px;" [routerLink]="['/login']">Login</button>
                </div>

            </form>
        </div>
    </div>
</div>
